package com.amqp.shanxi.model;

import lombok.Data;

/**
 * 干滩设备信息实体类
 */
@Data
public class DBDeviceInfo {
	
	private String equipno;//设备编号
	
	private String equipname;//设备名称
	
	private String installationdate;//安装日期
	
	private String manufacture;//安装厂家
	
	private Double installlocation;//安装高度
	
	private String installationlocate;//安装位置
	
	private Double longitude;//经度
	
	private Double latitude;//纬度
	
	private Double altitude;//高程
	
	private Double onelevelalarm;//一级预警阈值
	
	private Double twolevelalarm;//二级预警阈值
	
	private Double threelevelalarm;//三级预警阈值
	
	private Double honelevelalarm;//安全超高一级预警阈值
	
	private Double htwolevelalarm;//安全超高二级预警阈值
	
	private Double hthreelevelalarm;//安全超高三级预警阈值
	
	private String is_used;//设备在用状态
	
	private String is_sync;//同步状态

	@Override
	public String toString() {
		return "DBDeviceInfo [equipno=" + equipno + ", equipname=" + equipname + ", installationdate="
				+ installationdate + ", manufacture=" + manufacture + ", installlocation=" + installlocation
				+ ", installationlocate=" + installationlocate + ", longitude=" + longitude + ", latitude=" + latitude
				+ ", altitude=" + altitude + ", onelevelalarm=" + onelevelalarm + ", twolevelalarm=" + twolevelalarm
				+ ", threelevelalarm=" + threelevelalarm + ", honelevelalarm=" + honelevelalarm + ", htwolevelalarm="
				+ htwolevelalarm + ", hthreelevelalarm=" + hthreelevelalarm + ", is_used=" + is_used + ", is_sync="
				+ is_sync + "]";
	}
	

}
